Agora Java API Reference for Android

Public Member Functions | List of all members
agora::rtc::IH265TranscoderObserver Class Referenceabstract

`#include <IAgoraH265Transcoder.h>`

## Public Member Functions
virtual void | onEnableTranscode (H265_TRANSCODE_RESULT result)=0
virtual void | onQueryChannel (H265_TRANSCODE_RESULT result, const char *originChannel, const char *transcodeChannel)=0
virtual void | onTriggerTranscode (H265_TRANSCODE_RESULT result)=0

## Detailed Description

The IH265TranscoderObserver class

## Member Function Documentation

## ◆ onEnableTranscode()

virtual void agora::rtc::IH265TranscoderObserver::onEnableTranscode | ( | H265_TRANSCODE_RESULT | result | ) |
| pure virtual

Use to notify the result of invoking enableTranscode interface.

Parameters

  result | Result of invoking enableTranscode interface. There are some processing advice below of result. H265_TRANSCODE_RESULT_REQUEST_INVALID: Channel or uid param have a mistake, you need to check them for correctness. H265_TRANSCODE_RESULT_UNAUTHORIZED: Authentication failed, please check for correctness of token. H265_TRANSCODE_RESULT_TOKEN_EXPIRED: The token has expired, you need to generate a new token. H265_TRANSCODE_RESULT_FORBIDDEN: You need to contact agora staff to add the vid whitelist. H265_TRANSCODE_RESULT_NOT_FOUND: Indicates that the network may be faulty. H265_TRANSCODE_RESULT_TOO_OFTEN: Request is too often, please request again later. H265_TRANSCODE_RESULT_SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again.

## ◆ onQueryChannel()

virtual void agora::rtc::IH265TranscoderObserver::onQueryChannel | ( | H265_TRANSCODE_RESULT | result,
|  | const char * | originChannel,
|  | const char * | transcodeChannel
| ) |  |
| pure virtual

Use to notify the result of invoking queryChannel interface.

Parameters

  result | Result of invoking queryChannel interface. There are some processing advice below of result. H265_TRANSCODE_RESULT_UNAUTHORIZED: Authentication failed, please check for correctness of token. H265_TRANSCODE_RESULT_TOKEN_EXPIRED: The token has expired, you need to generate a new token. H265_TRANSCODE_RESULT_NOT_FOUND: Indicates that the network may be faulty or the channel param may be is empty. H265_TRANSCODE_RESULT_TOO_OFTEN: Request is too often, please request again later. H265_TRANSCODE_RESULT_SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again.
  originChannel | Origin channel id
  transcodeChannel | Transcode channel id

## ◆ onTriggerTranscode()

virtual void agora::rtc::IH265TranscoderObserver::onTriggerTranscode | ( | H265_TRANSCODE_RESULT | result | ) |
| pure virtual

Use to notify the result of invoking triggerTranscode interface.

Parameters

  result | Result of invoking triggerTranscode interface. There are some processing advice below of result. H265_TRANSCODE_RESULT_UNAUTHORIZED: Authentication failed, please check for correctness of token. H265_TRANSCODE_RESULT_TOKEN_EXPIRED: The token has expired, you need to generate a new token. H265_TRANSCODE_RESULT_NOT_FOUND: Indicates that the network may be faulty or the channel param may be is empty. H265_TRANSCODE_RESULT_CONFLICTED: The request of trigger transcode is conflicted, please try again. H265_TRANSCODE_RESULT_TOO_OFTEN: Request is too often, please request again later H265_TRANSCODE_RESULT_SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again. H265_TRANSCODE_RESULT_SERVICE_UNAVAILABLE: May be the number of transcode service is over the limit.